%define upstream_name    Data-Alias
%define upstream_version 1.15

%define Werror_cflags %nil

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Comprehensive set of aliasing operations
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl-devel
BuildRoot:  %{_tmppath}/%{name}-%{version}-%{release}

%description
Aliasing is the phenomenon where two different expressions actually refer
to the same thing. Modifying one will modify the other, and if you take a
reference to both, the two values are the same.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make OPTIMIZE="%optflags"

%check
make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes README
%{_mandir}/man3/*
%{perl_vendorarch}/Data
%{perl_vendorarch}/auto/Data



%changelog
* Wed Jun 22 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.150.0-1mdv2011.0
+ Revision: 686625
- update to new version 1.15

* Mon May 02 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.140.0-1
+ Revision: 662053
- update to new version 1.14

* Thu Feb 24 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.120.0-1
+ Revision: 639633
- update to new version 1.12

* Sun Jan 30 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.110.0-1
+ Revision: 634221
- update to new version 1.11

* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.100.0-1mdv2011.0
+ Revision: 601864
- update to new version 1.10

* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.90.0-1mdv2011.0
+ Revision: 598083
- update to new version 1.09

* Mon Nov 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 1.80.0-1mdv2011.0
+ Revision: 595093
- update to new version 1.08

  + Jérôme Quelin <jquelin@mandriva.org>
    - rebuild for perl 5.12
    - rebuild

* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 1.70.0-1mdv2010.0
+ Revision: 401671
- rebuild using %%perl_convert_version
- fixed license field

* Fri May 15 2009 Jérôme Quelin <jquelin@mandriva.org> 1.07-2mdv2010.0
+ Revision: 375956
- rebuild

* Sun May 03 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.07-1mdv2010.0
+ Revision: 371457
- import perl-Data-Alias


* Sun May 03 2009 cpan2dist 1.07-1mdv
- initial mdv release, generated with cpan2dist

